Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057812 - [abrt] pulseaudio: memblock_replace_import(): pulseaudio killed by SIGABRT
Summary: [abrt] pulseaudio: memblock_replace_import(): pulseaudio killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2876ad24be9de220d1a65fcf1ee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 00:28 UTC by fleshmang
Modified: 2015-06-29 14:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:44:47 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-25 00:28 UTC, fleshmang
no flags Details
File: cgroup (deleted)
2014-01-25 00:28 UTC, fleshmang
no flags Details
File: core_backtrace (deleted)
2014-01-25 00:28 UTC, fleshmang
no flags Details
File: dso_list (deleted)
2014-01-25 00:28 UTC, fleshmang
no flags Details
File: environ (deleted)
2014-01-25 00:28 UTC, fleshmang
no flags Details
File: limits (deleted)
2014-01-25 00:29 UTC, fleshmang
no flags Details
File: maps (deleted)
2014-01-25 00:29 UTC, fleshmang
no flags Details
File: open_fds (deleted)
2014-01-25 00:29 UTC, fleshmang
no flags Details
File: proc_pid_status (deleted)
2014-01-25 00:29 UTC, fleshmang
no flags Details
File: var_log_messages (deleted)
2014-01-25 00:29 UTC, fleshmang
no flags Details

Description fleshmang 2014-01-25 00:28:50 UTC
Description of problem:
I was listening to digital music (.flacc format) with Clementine; the song had always 'dropped' at about the 2:40 mark, but Clementine would proceed to the next tune.  This time, I launched Clementine from the command line hoping to get feedback why this song alway skipped over the last 2 minutes or so, and is the first time abrt alerted (calling out pulseaudio??)  Pulseaudio has been acting flakey since upgrading to Fedora 20; it is a roll of the dice if pavucontrol is going to open correctly or shutdown and create an abrt report.
Opening pavucontrol from command line right now, I receive:
Memory pool destroyed but not all memory blocks freed! 1 remain.
Segmentation fault (core dumped)

Version-Release number of selected component:
pulseaudio-4.0-9.gitf81e3.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: memblock_replace_import
executable:     /usr/bin/pulseaudio
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 memblock_replace_import at pulsecore/memblock.c:692
 #3 pa_memimport_free at pulsecore/memblock.c:951
 #4 pa_pstream_unlink at pulsecore/pstream.c:990
 #5 native_connection_unlink at pulsecore/protocol-native.c:1333
 #6 pstream_die_callback at pulsecore/protocol-native.c:4908
 #7 do_pstream_read_write at pulsecore/pstream.c:204
 #8 dispatch_pollfds at pulse/mainloop.c:656
 #9 pa_mainloop_dispatch at pulse/mainloop.c:903
 #10 pa_mainloop_iterate at pulse/mainloop.c:934
 #11 pa_mainloop_run at pulse/mainloop.c:949

Potential duplicate: bug 853154

Comment 1 fleshmang 2014-01-25 00:28:54 UTC
Created attachment 855247 [details]
File: backtrace

Comment 2 fleshmang 2014-01-25 00:28:55 UTC
Created attachment 855248 [details]
File: cgroup

Comment 3 fleshmang 2014-01-25 00:28:57 UTC
Created attachment 855249 [details]
File: core_backtrace

Comment 4 fleshmang 2014-01-25 00:28:58 UTC
Created attachment 855250 [details]
File: dso_list

Comment 5 fleshmang 2014-01-25 00:28:59 UTC
Created attachment 855251 [details]
File: environ

Comment 6 fleshmang 2014-01-25 00:29:01 UTC
Created attachment 855252 [details]
File: limits

Comment 7 fleshmang 2014-01-25 00:29:02 UTC
Created attachment 855253 [details]
File: maps

Comment 8 fleshmang 2014-01-25 00:29:04 UTC
Created attachment 855254 [details]
File: open_fds

Comment 9 fleshmang 2014-01-25 00:29:06 UTC
Created attachment 855255 [details]
File: proc_pid_status

Comment 10 fleshmang 2014-01-25 00:29:07 UTC
Created attachment 855256 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:40:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 14:44:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.